aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaria Lisina <sekoohaka.sarisan@gmail.com>2025-08-29 00:50:19 +0500
committerMaria Lisina <sekoohaka.sarisan@gmail.com>2025-08-29 00:50:19 +0500
commitfd79113ec23f7ffc16259a5445ef8a0f28b287fe (patch)
tree6e01a019bcdf2d994f1ba9bf51cc90542f9c0fcd
parentd2a46bc17fda50adf824dd447ee52a31f8339bc7 (diff)
submodules/timer_uncache: Skip if failed to lock
Signed-off-by: Maria Lisina <sekoohaka.sarisan@gmail.com>
-rw-r--r--submodules/timer_uncache.zsh8
1 files changed, 4 insertions, 4 deletions
diff --git a/submodules/timer_uncache.zsh b/submodules/timer_uncache.zsh
index c639999..cd889d7 100644
--- a/submodules/timer_uncache.zsh
+++ b/submodules/timer_uncache.zsh
@@ -9,10 +9,10 @@ fi
for file in $(find "${cache}" -follow -type f)
do
- until mkdir "${file%.*}.lock"
- do
- sleep 1
- done
+ if ! mkdir "${file%.*}.lock"
+ then
+ continue
+ fi
file_ctime=$(strftime %s)
file_mtime=$(stat +mtime "${file}")